{#
/**
 * @file
 * Theme override for a main view template.
 *
 * Available variables:
 * - attributes: Remaining HTML attributes for the element.
 * - css_name: A CSS-safe version of the view name.
 * - css_class: The user-specified classes names, if any.
 * - header: The optional header.
 * - footer: The optional footer.
 * - rows: The results of the view query, if any.
 * - empty: The content to display if there are no rows.
 * - pager: The optional pager next/prev links to display.
 * - exposed: Exposed widget form/info to display.
 * - feed_icons: Optional feed icons to display.
 * - more: An optional link to the next page of results.
 * - title: Title of the view, only used when displaying in the admin preview.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the view title.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the view title.
 * - attachment_before: An optional attachment view to be displayed before the
 *   view content.
 * - attachment_after: An optional attachment view to be displayed after the
 *   view content.
 * - dom_id: Unique id for every view being printed to give unique class for
 *   Javascript.
 *
 * @see template_preprocess_views_view()
 */
#}
{%
  set classes = [
    'view',
    'view-' ~ id|clean_class,
    'view-id-' ~ id,
    'view-display-id-' ~ display_id,
    dom_id ? 'js-view-dom-id-' ~ dom_id,
  ]
%}

{% set wrapperClass = "" %}
{% set accordionHeaderName = "" %}
{% set iconClass = "" %}
{% set notificationBlockExist = false %}

{# My collaboration block vairables #}
{% if id == "my_collaborations" %}
  {% if display_id == "block_1" %}
    {% set wrapperClass = "my-collaboration-table" %}
    {% set accordionHeaderName = "My Collaborations" %}
    {% set iconClass = "fa-solid fa-box-archive" %}

  {% elseif display_id == "block_2" %}
    {% set wrapperClass = "my-collaboration-workspace-settings" %}
    {% set accordionHeaderName = "Workspace Settings" %}
    {% set iconClass = "fa-solid fa-gear" %}

  {% elseif display_id == "block_3" %}
    {% set wrapperClass = "locked-object-settings" %}
    {% set accordionHeaderName = "Objects locked by me" %}
    {% set iconClass = "fa-solid fa-lock" %}
  {% endif %}

{# Private message block vairables #}
{% elseif id == "private_messages" %}
  {% if display_id == "block_1" %}
    {% set wrapperClass = "private-message-table" %}
    {% set accordionHeaderName = "Private Messages" %}
    {% set iconClass = "fa-regular fa-envelope" %}
    {% set notificationBlockExist = true %}
  {% endif %}

{# Content revision block vairables #}
{% elseif id == "content_revision_custom" %}
  {% if display_id == "block_1" %}
    {% set wrapperClass = "assigned-object-table" %}
    {% set accordionHeaderName = "Assigned to Me" %}
    {% set iconClass = "fa-solid fa-list-check" %}
  {% elseif display_id == "block_2" %}
    {% set wrapperClass = "workflow-stamps-table" %}
    {% set accordionHeaderName = "Workflow Stamps" %}
    {% set iconClass = "fas fa-stamp" %}
  {% endif %}

{# Who's online block vairables #}
{% elseif id == "who_s_online" %}
  {% if display_id == "who_s_online_block" %}
    {% set wrapperClass = "who-is-online-table" %}
    {% set accordionHeaderName = "Who's Online" %}
    {% set iconClass = "fas fa-user" %}
  {% endif %}
{% endif %}

<div{{ attributes.addClass(classes) }}>
  {{ title_prefix }}
  {% if title %}
    {{ title }}
  {% endif %}
  {{ title_suffix }}

  <div class="view-content">
    {% if wrapperClass is not empty %} 
    <div class="dashboard-content-wrapper {{ wrapperClass }}">
      <h3 class="dashboard-table-heading"><a aria-controls="{{ wrapperClass ~ '-' ~ display_id }}" aria-expanded="true" data-bs-toggle="collapse" data-bs-target="#{{ wrapperClass ~ '-' ~ display_id }}"><i class="{{ iconClass }}"></i>&nbsp;&nbsp;{{ accordionHeaderName }}</a>
        {% if notificationBlockExist %}
          {{ drupal_block('private_message_notification_block') }}
        {% endif %}
      </h3>
      <div class="dashboard-table-main collapse show" id="{{ wrapperClass ~ '-' ~ display_id }}">
        <div class="table-content">
    {% endif %}
          {% if header.area_text_custom %}
            {{ header.area_text_custom }}
            <div class="taxonomy-header">
              {{ header.view }}
            </div>
          {% else %}
            <div class="view-header">
              {{ header }}
            </div>
          {% endif %}
          {% if exposed %}
            <div class="view-filters">
              {{ exposed }}
            </div>
          {% endif %}
          {% if attachment_before %}
            <div class="attachment attachment-before search-results__header">
              {{ attachment_before }}
            </div>
          {% endif %}
          {% if rows %}
            {{ rows }}
            {% if attachment_after %}
              <div class="attachment attachment-after">
                {{ attachment_after }}
              </div>
            {% endif %}
          {% elseif empty %}
            <div class="view-empty">
              {{ empty }}
            </div>
          {% endif %}
          {% if footer %}
            <div class="view-footer">
              {{ footer }}
            </div>
          {% endif %}
    {% if wrapperClass is not empty %} 
        </div>
      </div>
    </div>
    {% endif %}
  </div>

  {% if pager %}
    {{ pager }}
  {% endif %}
  
  {% if more %}
    {{ more }}
  {% endif %}

  {% if feed_icons %}
    <div class="feed-icons">
      {{ feed_icons }}
    </div>
  {% endif %}
</div>
